Komunitas

Ambil unggahan komunitas

GET /v1/communities/{community_id}/tweets reads 2 kredit

Unggahan dalam sebuah Komunitas, diperingkat berdasarkan relevansi atau terbaru lebih dulu.

Parameter kueri

Parameter kueriTipeArti
countint 1–100 = 40Ukuran halaman yang diminta; X memperlakukannya sebagai petunjuk
cursorstringDari next_cursor halaman sebelumnya; kursor yang tidak bisa didekode menghasilkan 400
rankingRelevance | Recency = RelevanceRelevance untuk unggahan teratas, Recency untuk yang terbaru

respons

Id Komunitas, satu halaman unggahan, dan kursor untuk halaman berikutnya (null di akhir). Komunitas yang tidak dikenal atau tidak tersedia menghasilkan 404.

Status: 200, 400, 404, 422, 429, 502

permintaan
curl https://api.xsignalfeed.com/v1/communities/1493446837214187523/tweets?count=20&ranking=Recency \
  -H "Authorization: Bearer xsf_your_key"
respons · 200 / 400
{
  "community_id": "1493446837214187523",
  "tweets": [
    {
      "id": 2097713756054704513,
      "created_ms": 1788968907737,
      "user_id": 2729705040,
      "user": "buildinpublic",
      "name": "Build in Public",
      "text": "today we're launching DEALS 🎁✨ …",
      "lang": "en",
      "reply_to": null,
      "reply_to_status_id": null,
      "reply_to_user_id": null,
      "conversation_id": "2097713756054704513",
      "is_rt": false,
      "rt_of": null,
      "is_quote": false,
      "quoted": null,
      "media": [
        "https://pbs.twimg.com/media/….jpg"
      ],
      "media_items": [
        {
          "type": "photo",
          "url": "https://pbs.twimg.com/media/….jpg",
          "expanded_url": "https://x.com/buildinpublic/status/2097713756054704513/photo/1",
          "width": 1600,
          "height": 900
        }
      ],
      "urls": [
        "https://…"
      ],
      "views": "18422",
      "counts": {
        "reply": 41,
        "rt": 12,
        "like": 210,
        "quote": 3,
        "bookmark": 55
      },
      "source": "<a href=\"https://mobile.twitter.com\" rel=\"nofollow\">Twitter Web App</a>"
    },
    {
      "…": "…"
    }
  ],
  "next_cursor": "DAABCgABHSYyKLN__-kKAAIdJidkM5rByQgAAwAAAAIAAA"
}